Pular para o conteúdo principal
POST
/
client
/
order
Criar ordem de compra
curl --request POST \
  --url https://api.pixusglobal.com/client/order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quoteId": "<string>",
  "fxRate": "<string>"
}
'
{
  "id": "ord_789",
  "amount": 1000,
  "symbol": "USDTBRL",
  "side": "BUY",
  "price": "<string>",
  "timestamp": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
quoteId
string

ID da cotação (obtido via GET /client/quote)

Required string length: 8 - 9
fxRate
string

Taxa de câmbio

Required string length: 6 - 7
Exemplos:

"5.8095"

"10.6792"

Resposta

Ordem criada com sucesso

id
string
Exemplo:

"ord_789"

amount
number
Exemplo:

1000

symbol
string
Exemplo:

"USDTBRL"

side
string
Exemplo:

"BUY"

price
string
timestamp
string